Package com.sas.lsaf.execution.job

## Class JobParameter

- java.lang.Object
- - com.sas.lsaf.execution.job.JobParameter

- All Implemented Interfaces:
    `java.io.Serializable`

      public class JobParameter
      extends java.lang.Object
      implements java.io.Serializable

  The client representation of a job parameter.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `JobParameter.ParameterType` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JobParameter​(java.lang.String name, java.lang.String label, JobParameter.ParameterType type)` | The constructor.
    `JobParameter​(java.lang.String name, java.lang.String label, JobParameter.ParameterType type, java.io.Serializable defaultValue)` | The constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.io.Serializable` | `getDefaultValue()` | Gets the default value of the parameter.
    `java.lang.String` | `getLabel()` | Gets the label for the parameter.
    `java.lang.String` | `getName()` | Gets the name of the parameter.
    `JobParameter.ParameterType` | `getType()` | Gets the type of the parameter.
    `int` | `hashCode()` |
    `void` | `setDefaultValue​(java.io.Serializable defaultValue)` | Sets the default value of the parameter.
    `void` | `setLabel​(java.lang.String label)` | Sets the label for the parameter.
    `void` | `setName​(java.lang.String name)` | Sets the name of the parameter.
    `void` | `setType​(JobParameter.ParameterType type)` | Sets the type of the parameter.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobParameter

          public JobParameter​(java.lang.String name,
                              java.lang.String label,
                              JobParameter.ParameterType type,
                              java.io.Serializable defaultValue)

      The constructor.
      Parameters:
        `name` - The name of the parameter.
        `defaultValue` - The default value for the parameter. For parameters of type FILE and FOLDER, the value must be specified as a `JobInput`. The values of CHARACTER and NUMERIC parameters must be specified as a String. The DATE parameter values must be specified as java.util.Date.
        `type` - The type of the parameter.
        `label` - The label for the parameter.

    - #### JobParameter

          public JobParameter​(java.lang.String name,
                              java.lang.String label,
                              JobParameter.ParameterType type)

      The constructor.
      Parameters:
        `name` - The name of the parameter.
        `label` - The label for the parameter.
        `type` - The type of the parameter.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the name of the parameter.
      Returns:
        The name.

    - #### setName

          public void setName​(java.lang.String name)

      Sets the name of the parameter.
      Parameters:
        `name` - The name.

    - #### getDefaultValue

          public java.io.Serializable getDefaultValue()

      Gets the default value of the parameter. The value must be cast to the appropriate class based on the parameter type.
      For parameters of type FILE and FOLDER, the value must be specified as a `JobInput`. The values of CHARACTER and NUMERIC parameters must be specified as a String. The DATE parameter values must be specified as java.util.Date.
      Returns:
        The default value.

    - #### setDefaultValue

          public void setDefaultValue​(java.io.Serializable defaultValue)

      Sets the default value of the parameter. For parameters of type FILE and FOLDER, the value must be specified as a `JobInput`. The values of CHARACTER and NUMERIC parameters must be specified as a String. The DATE parameter values must be specified as java.util.Date.
      Parameters:
        `defaultValue` - The default value.

    - #### getType

          public JobParameter.ParameterType getType()

      Gets the type of the parameter.
      Returns:
        The type.

    - #### setType

          public void setType​(JobParameter.ParameterType type)

      Sets the type of the parameter.
      Parameters:
        `type` - The type.

    - #### setLabel

          public void setLabel​(java.lang.String label)

      Sets the label for the parameter.
      Parameters:
        `label` - The label.

    - #### getLabel

          public java.lang.String getLabel()

      Gets the label for the parameter.
      Returns:
        The label.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`